/* Popular Searches Wrap */
.popular-mls-searches-wrap { padding: 3.125rem 0; position: relative; z-index: 1; }
.popular-mls-searches-wrap .container { width: 100%; max-width: 87.5rem; margin-top: 0.9375rem; }
.popular-mls-searches-wrap .title { margin-bottom: 2rem; color: hsl(var(--siteColor1)); }
@media (min-width: 1025px) {
  .popular-mls-searches-wrap .title { margin-bottom: 3rem; }
}

/* Popular Search Block */
.popular-mls-searches-wrap .popular-search { overflow: hidden; width: 100%; position: relative; background: hsl(var(--siteColor1)); border-radius: var(--borderRadiusLG); box-shadow: var(--dropShadow), var(--dropShadow); font-family: var(--siteFont2), sans-serif; text-align: center; }
.popular-mls-searches-wrap .popular-search-img-wrap { aspect-ratio: 1 / 1; width: 100%; height: 100%; position: relative; background: hsl(var(--siteColor1)); text-align: center; transition: all ease-in-out 0.4s; }
.popular-mls-searches-wrap .popular-search-img { object-fit: cover; opacity: 0.5; width: 100%; height: 100%; transition: all ease-in-out 0.4s; }
.popular-mls-searches-wrap .popular-search:hover .popular-search-img { opacity: 0.25; }
.popular-mls-searches-wrap .popular-search-info-wrap { /* animation-name: fadein; animation-duration: 4s; */ width: 100%; height: 100%; position: absolute; inset: 0; z-index: 2; font-size: 1rem; color: hsl(var(--white)); line-height: 1.5; transition: all ease-in-out 0.4s; }
.popular-mls-searches-wrap .popular-search-link { width: 100%; height: 100%; display: flex; flex-direction: column; justify-content: center; align-items: center; padding: 1rem; position: absolute; inset: 0; color: hsl(var(--white)); text-decoration: none; }
.popular-mls-searches-wrap .popular-search-icon { display: none; width: 5rem; height: 5rem; color: inherit; }
.popular-mls-searches-wrap .popular-search-title { margin: 0; padding: 1rem; position: relative; font-size: 1.75rem; color: inherit; text-transform: uppercase; font-weight: var(--wBold); transition: all 0.4s ease-in-out; }
.popular-mls-searches-wrap .popular-search-info-wrap { padding: 1rem; transition: all 0.4s ease-in-out;  }
.popular-mls-searches-wrap .popular-search-desc { font-size: 1rem; line-height: 1.5; }
@media (min-width: 1025px) {
  .popular-mls-searches-wrap .popular-search-desc { font-size: 1.125rem; }
}

/* Popular Searches Swiper */
.popular-mls-searches-wrap .swiper-container .swiper-lazy-preloader { --swiper-preloader-color: hsl(var(--siteColor1)); }
.popular-mls-searches-container { width: 100%; max-width: 107.5rem; margin: auto; padding: 0 0 3.125rem; position: relative; }
.popular-mls-searches-swiper.swiper-container { padding: 1.875rem 0.9375rem; }
.popular-mls-searches-swiper .swiper-slide { --marginRight: 1.25rem; --columns: 1; margin-right: var(--marginRight); width: calc(calc(100% / var(--columns)) - var(--marginRight) + calc(var(--marginRight) / var(--columns))); }
.popular-mls-searches-wrap .swiper-container .swiper-lazy-preloader { --swiper-preloader-color: hsl(var(--siteColor1)); }
@media (min-width: 0) {
  .popular-mls-searches-swiper .swiper-slide { --columns: 1; }
}
@media (min-width: 667px) {
  .popular-mls-searches-swiper .swiper-slide { --columns: 2; }
}
@media (min-width: 992px) {
  .popular-mls-searches-swiper .swiper-slide { --columns: 3; }
}
@media (min-width: 1200px) {
  .popular-mls-searches-swiper .swiper-slide { --columns: 4; }
}

/* Popular Searches Controls */
.popular-mls-searches-controls { display: flex; flex-wrap: wrap; justify-content: space-between; width: 100%; max-width: 25rem; height: 3.25rem; margin: auto; position: relative; }
.popular-mls-searches-controls .popular-btn-next,
.popular-mls-searches-controls .popular-btn-prev { width: 3rem; height: 3rem; margin: auto; position: relative; top: auto; right: auto; left: auto; background-color: transparent; border-radius: var(--borderRadiusCircle); box-shadow: none; color: hsl(var(--siteColor1)); transition: all 0.4s ease-in-out; }
.popular-mls-searches-controls .popular-btn-next:hover,
.popular-mls-searches-controls .popular-btn-prev:hover { background-color: hsl(var(--siteColor1)); box-shadow: var(--dropShadow); color: hsl(var(--white)); }
.popular-mls-searches-controls .popular-btn-next:focus,
.popular-mls-searches-controls .popular-btn-prev:focus { outline: none; box-shadow: var(--focusShadow); }
.popular-mls-searches-controls .popular-btn-next:after,
.popular-mls-searches-controls .popular-btn-prev:after { display: none; }
.popular-mls-searches-controls .popular-btn-next .icon,
.popular-mls-searches-controls .popular-btn-prev .icon { width: 1.75rem; height: 1.75rem; }
.popular-mls-searches-controls .popular-pagination { display: flex; align-items: center; position: relative; top: auto; right: auto; left: auto; }

/* === Layout Options === */
/* ====================== */
/* Home Option 1 */
.cms-popular-mls-option-1 .container-fluid { max-width: 114.5rem; }
.cms-popular-mls-option-1 .popular-search-img-wrap .swiper-lazy-preloader { display: none; }
/* .cms-popular-mls-option-1 .popular-search:hover .popular-search-img { opacity: 0; } */
.cms-popular-mls-option-1 .row {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
  grid-template-rows: repeat(4, 1fr);
  gap: 1rem;
  margin: 0;
}

.cms-popular-mls-option-1 [class^=col] { max-width: 100%; flex-basis: 100%; padding: 0; transition: all 0.4s ease-in-out; }
.cms-popular-mls-option-1 [class^=col]:nth-child(1) { grid-column: span 2 / span 2; }
.cms-popular-mls-option-1 [class^=col]:nth-child(2) { grid-row-start: 2; }
.cms-popular-mls-option-1 [class^=col]:nth-child(3) { grid-row: span 2 / span 2; grid-column-start: 1; grid-row-start: 3; }
.cms-popular-mls-option-1 [class^=col]:nth-child(4) { grid-row: span 2 / span 2; grid-column-start: 2; grid-row-start: 2; }
.cms-popular-mls-option-1 [class^=col]:nth-child(5) { grid-column-start: 2; grid-row-start: 4; }
/*  */
.cms-popular-mls-option-1 .popular-search { height: 100%; border-radius: var(--borderRadius); }
.cms-popular-mls-option-1 .popular-search-img-wrap { aspect-ratio: unset; min-height: 12rem; max-height: 12rem; }
.cms-popular-mls-option-1 [class^=col]:nth-child(3) .popular-search-img-wrap,
.cms-popular-mls-option-1 [class^=col]:nth-child(4) .popular-search-img-wrap { min-height: 25rem; }
.cms-popular-mls-option-1 .popular-search-img { opacity: 0.5; }
.cms-popular-mls-option-1 .popular-search-info-wrap { height: 100%; display: flex; justify-content: center; align-items: center; position: absolute; top: 0; transform: translateY(0); padding: 0; background: transparent; }
.cms-popular-mls-option-1 .popular-search-link { justify-content: center; align-items: center; text-align: center; }
.cms-popular-mls-option-1 .popular-search-title { margin-bottom: 0.5rem; padding: 0; z-index: 2; font-size: 1.25rem; text-transform: capitalize; }
.cms-popular-mls-option-1 .popular-search-info { opacity: 0; visibility: hidden; position: relative; z-index: 1; }
.cms-popular-mls-option-1 .popular-search-desc { display: none; }

@media (min-width: 1025px) {
  .cms-popular-mls-option-1 .row {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
  }
  .cms-popular-mls-option-1 .popular-search-img-wrap { min-height: 16rem; max-height: 16rem; }
  .cms-popular-mls-option-1 [class^=col]:nth-child(1) { grid-row: span 3 / span 3; grid-column: auto; }
  .cms-popular-mls-option-1 [class^=col]:nth-child(2) { grid-column-start: 3; grid-row-start: 1; }
  .cms-popular-mls-option-1 [class^=col]:nth-child(3) { grid-row: span 2 / span 2; grid-column-start: 2; grid-row-start: 1; }
  .cms-popular-mls-option-1 [class^=col]:nth-child(4) { grid-row: auto; grid-column-start: 3; grid-row-start: auto; }
  .cms-popular-mls-option-1 [class^=col]:nth-child(5) { grid-column: span 2 / span 2; grid-column-start: 2; grid-row-start: 3; }
  /*  */
  .cms-popular-mls-option-1 [class^=col]:nth-child(1) .popular-search-img-wrap { min-height: 50rem; }
  .cms-popular-mls-option-1 [class^=col]:nth-child(3) .popular-search-img-wrap { min-height: 33rem; }
  .cms-popular-mls-option-1 [class^=col]:nth-child(4) .popular-search-img-wrap { min-height: 15rem; }
  .cms-popular-mls-option-1 .popular-search-title { font-size: 2rem; }
  .cms-popular-mls-option-1 .popular-search-link { justify-content: flex-start; align-items: flex-start; padding: 2rem; text-align: left; }
  .cms-popular-mls-option-1 .popular-search-desc { display: flex; max-width: 22.5rem; line-height: 1.25; }
}
@media (min-width: 1200px) {
  .cms-popular-mls-option-1 [class^=col]:nth-child(2),
  .cms-popular-mls-option-1 [class^=col]:nth-child(4) { min-width: 31rem; }
}
@media (min-width: 1400px) {
  .cms-popular-mls-option-1 .popular-search-link { padding: 3rem; }
  .cms-popular-mls-option-1 [class^=col]:nth-child(2),
  .cms-popular-mls-option-1 [class^=col]:nth-child(4) { min-width: 34rem; }
}

/* Home Option 2 */
.cms-popular-mls-option-2 .popular-search-img { transform: scale(1); }
.cms-popular-mls-option-2 .popular-search:hover .popular-search-img { transform: scale(1.1); }

/* Home Option 3 */
.cms-popular-mls-option-3 .popular-search-icon { display: none; width: 8rem; height: 8rem; margin-top: auto; transition: all 0.4s ease-in-out; }
.cms-popular-mls-option-3 .popular-search-img-wrap { display: flex; justify-content: center; align-items: center; }
.cms-popular-mls-option-3 .popular-search-img { opacity: 1; max-width: 8rem; max-height: 8rem; transform: translate(0, 0); border-radius: var(--borderRadius); /* mask-image: linear-gradient(to bottom, hsl(var(--white), 1) 65%, hsla(var(--white), 0.5) 75%, hsla(var(--white), 0) 100%); */ }
.cms-popular-mls-option-3 .popular-search:hover .popular-search-img { opacity: 1; transform: translate(0, -25%); }
.cms-popular-mls-option-3 .popular-search-title { margin-top: auto; }

/* Sidebar Options */
.popular-mls-searches-sidebar-wrap { padding: 2rem 0 0; }
.popular-mls-searches-sidebar-wrap .container-fluid { padding: 0; }
.popular-mls-searches-sidebar-wrap .row { display: flex; flex-wrap: wrap; justify-content: center; }
.popular-mls-searches-sidebar-wrap [class^=col] { flex-basis: 100%; max-width: 100%; padding-top: 1rem; padding-bottom: 1rem; }
@media (min-width: 667px) {
  .popular-mls-searches-sidebar-wrap [class^=col] { flex-basis: 50%; max-width: 50%; }
}
@media (min-width: 992px) {
  .popular-mls-searches-sidebar-wrap { padding: 0; }
  .popular-mls-searches-sidebar-wrap [class^=col] { flex-basis: 100%; max-width: 100%; }
}

/* Sidebar Option 1 */
@media (min-width: 992px) {
  .popular-mls-searches-sidebar-wrap.cms-popular-mls-option-1 .popular-search-img-wrap { aspect-ratio: 1 / 1; max-height: none; }
}

/* Mobile Specific */
@media (orientation: portrait) and (min-device-width:320px) and (max-device-width:1024px) {
  .popular-mls-searches-wrap .popular-search-img-wrap,
  .cms-popular-mls-option-1 .popular-search-img-wrap { aspect-ratio: 1 / 1; }
  .cms-popular-mls-option-2 .popular-search-img-wrap { aspect-ratio: 1 / 1; }
  .cms-popular-mls-option-3 .popular-search-img-wrap { aspect-ratio: 1 / 1; }
}
@media (orientation: landscape) and (min-device-width:480px) and (max-device-width:1024px) {
  .popular-mls-searches-wrap .popular-search-img-wrap,
  .cms-popular-mls-option-1 .popular-search-img-wrap { aspect-ratio: 3 / 2; }
  .cms-popular-mls-option-2 .popular-search-img-wrap { aspect-ratio: 3 / 2; }
  .cms-popular-mls-option-3 .popular-search-img-wrap { aspect-ratio: 3 / 2; }
}
